Backup
======

## Backup gem

Backups are stored on AWS S3, in the `kosmos-dev-backups` bucket.

The S3 credentials as well as the backup password are stored in the
`credentials` data bag under the `backup` item.

### Restore

To decrypt a backup archive, use the following command:

    openssl aes-256-cbc -d -base64 -pbkdf2 -in my_backup.tar.enc -out my_backup.tar

If you get an error message along the lines of "bad decrypt", the archive was
likely encrypted before we switched the key derivation scheme. Try without
`-pbkdf2` in this case:

    openssl aes-256-cbc -d -base64 -in my_backup.tar.enc -out my_backup.tar
